## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 20
%bcond_without check
%global debug_package %{nil}

%global crate libpulse-binding

Name:           rust-%{crate}
Version:        2.26.0
Release:        %autorelease
Summary:        Rust language binding for the PulseAudio libpulse library

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/libpulse-binding
Source:         %{crates_source}
# Initial patched metadata
# * drop windows-specific dependencies
Patch0:         libpulse-binding-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
Rust language binding for the PulseAudio libpulse library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc CHANGELOG.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+pa_v12-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pa_v12-devel %{_description}

This package contains library source intended for building other packages which
use the "pa_v12" feature of the "%{crate}" crate.

%files       -n %{name}+pa_v12-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+pa_v13-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pa_v13-devel %{_description}

This package contains library source intended for building other packages which
use the "pa_v13" feature of the "%{crate}" crate.

%files       -n %{name}+pa_v13-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+pa_v14-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pa_v14-devel %{_description}

This package contains library source intended for building other packages which
use the "pa_v14" feature of the "%{crate}" crate.

%files       -n %{name}+pa_v14-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+pa_v15-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pa_v15-devel %{_description}

This package contains library source intended for building other packages which
use the "pa_v15" feature of the "%{crate}" crate.

%files       -n %{name}+pa_v15-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+pa_v5-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pa_v5-devel %{_description}

This package contains library source intended for building other packages which
use the "pa_v5" feature of the "%{crate}" crate.

%files       -n %{name}+pa_v5-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+pa_v6-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pa_v6-devel %{_description}

This package contains library source intended for building other packages which
use the "pa_v6" feature of the "%{crate}" crate.

%files       -n %{name}+pa_v6-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+pa_v8-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pa_v8-devel %{_description}

This package contains library source intended for building other packages which
use the "pa_v8" feature of the "%{crate}" crate.

%files       -n %{name}+pa_v8-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# doctests depend on a running pulseaudio service
%cargo_test -- --lib
%endif

%changelog
* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.26.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jan 26 2022 Fabio Valentini <decathorpe@gmail.com> 2.26.0-1
- Update to version 2.26.0; Fixes RHBZ#2040503

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.25.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Aug 29 2021 Fabio Valentini <decathorpe@gmail.com> 2.25.0-1
- Update to version 2.25.0; Fixes RHBZ#1998799

* Sun Aug 01 2021 Fabio Valentini <decathorpe@gmail.com> 2.24.0-1
- Update to version 2.24.0; Fixes RHBZ#1987237

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.23.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun May 02 2021 Fabio Valentini <decathorpe@gmail.com> - 2.23.1-1
- Update to version 2.23.1.
- Fixes RHBZ#1947706

* Wed Mar 03 2021 Fabio Valentini <decathorpe@gmail.com> - 2.23.0-1
- Update to version 2.23.0.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.22.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 29 2020 Fabio Valentini <decathorpe@gmail.com> - 2.22.0-1
- Update to version 2.22.0.
- Fixes RHBZ#1907708

* Tue Dec 08 2020 Fabio Valentini <decathorpe@gmail.com> - 2.19.0-1
- Update to version 2.19.0.
- Fixes RHBZ#1905311

* Fri Nov 27 2020 Fabio Valentini <decathorpe@gmail.com> - 2.18.1-1
- Update to version 2.18.1.
- Fixes RHBZ#1901710

* Wed Nov 25 2020 Fabio Valentini <decathorpe@gmail.com> - 2.17.0-1
- Update to version 2.17.0.
- Fixes RHBZ#1901327

* Sat Nov 21 2020 Fabio Valentini <decathorpe@gmail.com> - 2.16.3-1
- Update to version 2.16.3.
- Fixes RHBZ#1900172

* Fri Sep 11 2020 Josh Stone <jistone@redhat.com> - 2.16.2-1
- Update to 2.16.2

* Wed Jul 29 2020 Josh Stone <jistone@redhat.com> - 2.16.1-1
- Update to 2.16.1

* Tue Apr 21 2020 Josh Stone <jistone@redhat.com> - 2.16.0-1
- Update to 2.16.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.15.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Jan 06 08:02:31 EET 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.15.0-1
- Update to 2.15.0

* Wed Dec 11 09:16:32 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.14.0-2
- Enable tests

* Tue Nov 05 23:04:59 EET 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 2.14.0-1
- Initial package

